source: trunk/softs/tests_cc_vcache/test_excep_intr/run @ 520

Last change on this file since 520 was 520, checked in by bouyer, 11 years ago

Re-add the tests; reverting previous which was done at the wrong level (sorry)

  • Property svn:executable set to *
File size: 1003 bytes
Line 
1#!/bin/sh
2
3. ../common/common.sh
4
5check_output()
6{
7        egrep "^end 0x0000BEEF 0x00000001$" run.out > /dev/null
8        if [ $? -ne 0 ]; then
9                echo "couldn't find string 1 in output - mtty not working ?" >> run.out
10                return 1
11        fi
12        egrep "^status 0x00400403 cause 0x00000018 pc 0x80000000 badva 0x00000000 xicu 0x00000000$" run.out > /dev/null
13        if [ $? -ne 0 ]; then
14                echo "couldn't find string 2 in output - mtty not working ?" >> run.out
15                return 1
16        fi
17        egrep "^status 0x00400403 cause 0x00000400 pc 0x80000000 badva 0x00000000 xicu 0x00000001$" run.out > /dev/null
18        if [ $? -ne 0 ]; then
19                echo "couldn't find string 3 in output - mtty not working ?" >> run.out
20                return 1
21        fi
22        return 0;
23}
24echo 
25i=1180
26while true; do
27        echo -n "    DELAY=$i: "
28        make INTERRUPT_DELAY=$i --quiet || exit 1
29        ${SIMUL} > run.out 2>&1 
30        if [ $? -eq 0 ]; then
31                if check_output; then
32                        echo "test passsed";
33                        make --quiet clean
34                else
35                        echo "test FAILED"
36                        exit 1
37                fi
38        else 
39                echo "test FAILED"
40                exit 1
41        fi
42        i=$((i+1))
43done
44
Note: See TracBrowser for help on using the repository browser.